| Home | Libraries | People | FAQ | More

##### basic_static_string::assign (4 of 9 overloads)

Assign to the string.

###### Synopsis

    basic_static_string&
    assign(
        const_pointer s,
        size_type count);

###### Description

Replaces the contents with those of `{s, s + count)`.

###### Complexity

Linear in `count`.

###### Exception Safety

Strong guarantee.

###### Remarks

The range can contain null characters.

###### Return Value

`*this`

###### Parameters

Name | Description
--- | ---
`count` | The number of characters to copy.
`s` | A pointer to the string to copy from.

###### Exceptions

Type | Thrown On
--- | ---
`std::length_error` | `count > max_size()`.